function menucom(command)
%menucom(x) Menu command evaluation function
%   Kevin Mackie, 2001/02/17
%   University of California Berkeley
%   Department of Civil and Environmental Engineering
%   mackie@ce.berkeley.edu
%
%   INPUT: integer value x which identifies which menu is 
%   being selected.  Calls appropriate callback routine.

global XAX;
global YAX;
global TYP;
global GRP;
global FIT;
global SIG;
global MODEL;
global DEQ;
global NVALS;
global IM_ARR;
global DM_ARR;

if command == 1                         % Design parameter
	MH = findobj('Tag','PopupMenu1');
    handles = get(MH,'Value');
	GRP=handles;
	
elseif command == 2                     % Plot type
	MH = findobj('Tag','PopupMenu2');
    handles = get(MH,'Value');
	TYP=handles;
	
elseif command == 3                     % Intensity measure
	MH = findobj('Tag','IMMenu');
    handles = get(MH,'Value');
	YAX=IM_ARR(handles,2);

elseif command == 4                     % Demand measure
	MH = findobj('Tag','DMMenu');
    handles = get(MH,'Value');
	XAX=DM_ARR(handles,2);
	
elseif command == 5                     % Axis scale
	MH = findobj('Tag','PopupMenu3');
    handles = get(MH,'Value');
    if handles==2,                  % change to linear scale
	   set(gca,'Xscale','linear');
	   set(gca,'Yscale','linear');
	elseif handles==3,              % change to semilogx
	   set(gca,'Xscale','log');
	   set(gca,'Yscale','linear');
	elseif handles==4,              % change to semilogy
	   set(gca,'Xscale','linear');
	   set(gca,'Yscale','log');
	else                            % default to log scale
	   set(gca,'Xscale','log');
	   set(gca,'Yscale','log');
	end;
	
elseif command == 6                     % Linear/multi fits
	MH = findobj('Tag','PopupMenu4');
    handles = get(MH,'Value');
	FIT=handles;
	
elseif command == 7                     % Mean (+ sig) fit
	MH = findobj('Tag','PopupMenu5');
    handles = get(MH,'Value');
	SIG=handles;
	
elseif command == 8                     % Design equations
	MH = findobj('Tag','PopupMenu6');
    handles = get(MH,'Value');
	DEQ=handles;
	
elseif command == 20                     % Demand popup 
	MH = findobj('Tag','othermenu');
    handles = get(MH,'Value');
	switch handles
	   case 1,
    	  PSDAplot('combo');
	   case 2,
    	  PSDAplot('combo');
	   otherwise
	      disp('Unknown menu option in Demand');
	end;
	
else
   disp('Unknown popup menu option in menucom');
end;
